#if !defined (__GameITF_H__)
#define __GameITF_H__

/******************************************/
#if _MSC_VER >= 1000
#pragma once
#endif /* _MSC_VER >= 1000 */
/******************************************/

#if defined(__cplusplus)
extern "C"
{
#endif /* __cplusplus */

void fn_vChangeWindowTitle(char *szWindowName);
void fn_vSetEngineWorldForITF(HIE_tdxHandleToSuperObject _hActualWorld);

GLD_tdhDevice fn_hGetGLDDevice(unsigned long _ulValue);
GLD_tdhViewport fn_hGetGLDViewport(unsigned long _ulValue);
void GAMITF_fn_vResizeGameViewport(void);

void *fn_hGetDrawSemaphore(void);

void fn_vForceToCloseApplication();

void fn_vEditorDrawObjectExpect0(void);
void fn_vEditorDataHasChange(void);

unsigned char fn_ucIsEditorsActive(void);
void fn_vEnableEditorsMainWnd(unsigned char _ulValue);

void fn_vEditorSetCurrentMap(char *_szCurrentMap);

HWND fn_hGetBaseFrameWnd(void);

void fn_vInitSoundStruct(void *SndInit);
void fn_vSwapDeviceToFullScreen(void);

char *fn_szGetExeCommandLine(void);

void MAIN_fn_vSetDeviceWidth(unsigned long ulWidth,unsigned long ulHeigh);
unsigned long MAIN_fn_ulGetDeviceWidth(void);
unsigned long MAIN_fn_ulGetDeviceHeight(void);

//VL0
void MAIN_fn_vSetDeviceMode(unsigned long ulIsFullScreen );
unsigned long MAIN_fn_ulDeviceIsFullScreen(void);
//EVL

BOOL fn_bInFullScreen(void);
BOOL fn_bBadRes(void);
void fn_vChangeDeviceResolution( void );

//ANNECY VL SPOFLAG 03/12/97{
BOOL fn_bIsEditorsActive(void);
//ENDANNECY VL SPOFLAG}

HINSTANCE fn_hGetApplicationInstance(void);
HWND fn_hGetApplicationWindow(void);
HWND fn_hGetApplicationWindowWithChoise(BOOL _isFullScreen);//chbani

//************************************************************************************
//************************************************************************************
//************************** nouvelle synchro ****************************************
//************************************************************************************
//************************************************************************************
//************************************************************************************
//************************************************************************************
void fn_vCheckPause();
void fn_vCheckEditor();
void fn_vForceEditor();
void fn_vCheckEnd();
void fn_vEngineHasFinished();
ACP_tdxBool fn_bTestIfEndOfAppliAsked();
ACP_tdxBool fn_bTestIfEditorRunning();

void fn_vChoicePreferences(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif /* __GameITF_H__ */